Last modified: 2012-10-29 16:39:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18303 - Output a canonical form to RecentChanges
Output a canonical form to RecentChanges
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Recent changes (Other open bugs)
1.16.x
All All
: Lowest major with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: SWMT 16599
  Show dependency treegraph
 
Reported: 2009-04-01 20:16 UTC by Mike.lifeguard
Modified: 2012-10-29 16:39 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2009-04-01 20:16:41 UTC
Currently our IRC RC feeds output localized log names and the like, making the development of new monitoring tools a /huge/ pain. If one wishes to monitor the feed for one language, fine... but if you want to monitor many then you need to know the localizations for each language and treat them as the same thing within your code. This is needlessly onerous and could easily be fixed by outputting a canonical form. Instead of "Spezial:Log/review" use "Special:Log/review"; instead of "Spécial:Log/upload" use "Special:Log/upload" etc.

As well, user group names are outputted localized.

Finally, and most importantly: even on the same wiki, messages for an action can change by localization:

 [[Special:Log/globalauth]] setstatus [...] Set Bloqueado; Unset (ninguno): 

That should never appear - Meta is set to English localization, so should output that! I think this is because the user in question uses Spanish interface.
Comment 1 Mike.lifeguard 2009-05-03 19:12:19 UTC
Even worse, we're seeing localized entries in the log:

# (show/hide) 23:28, 1 May 2009 Thogo (Talk | contribs | block) changed status for global account "User:something@global": Set gesperrt; Unset (keine) ‎ (crosswiki abuse) 
Comment 2 Mike.lifeguard 2009-07-01 13:41:04 UTC
This really applies to everything sent to RecentChanges (which is then also sent do IRC, so it's not IRC-specific). These entries need to be presented in the language that the viewing user has set as their interface language -- not the user who performed the action. That's the whole point of having the ability to set your interface language.

Note this also affected log entries in revision deletion and/or checkuser -- I'll go try to find the bug(s) now...
Comment 3 Brion Vibber 2009-07-20 03:43:58 UTC
If you want somthing machine-readable, the IRC feed is just going to be too limited; freeform vaguely formatted text with a strict line limit that's meant for humans to begin with? Ouch. :)

Recommend pursuing bug 17450 (extensible machine-readable XMPP feeds for RC data) instead if you want something future-proof.
Comment 4 Mike.lifeguard 2009-07-20 03:48:19 UTC
(In reply to comment #3)
> If you want somthing machine-readable, the IRC feed is just going to be too
> limited; freeform vaguely formatted text with a strict line limit that's meant
> for humans to begin with? Ouch. :)
> 
> Recommend pursuing bug 17450 (extensible machine-readable XMPP feeds for RC
> data) instead if you want something future-proof.
> 

Actually, as noted this is worse than IRC not being machine-readable. It's also showing in the *on-wiki* [[Special:RecentChanges]] items in the language of the user who did them rather than the user who views them. This isn't (just) about IRC!
Comment 5 Brion Vibber 2009-07-20 03:52:22 UTC
Treat that separately, as it's a separate issue. (Specific to the information that's included in the comment, not things that are already stored machine-readable such as log page targets which are discussed above in the specific context of the IRC feed.)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links